Package com.google.android.exoplayer2.ext.ffmpeg

## Class FfmpegLibrary

- java.lang.Object
- - com.google.android.exoplayer2.ext.ffmpeg.FfmpegLibrary

-     public final class FfmpegLibrary
      extends Object

  Configures and queries the underlying native library.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static int` | `getInputBufferPaddingSize()` | Returns the required amount of padding for input buffers in bytes, or `C.LENGTH_UNSET` if the underlying library is not available.
    `static String` | `getVersion()` | Returns the version of the underlying library if available, or null otherwise.
    `static boolean` | `isAvailable()` | Returns whether the underlying library is available, loading it if necessary.
    `static void` | `setLibraries​(String... libraries)` | Override the names of the FFmpeg native libraries.
    `static boolean` | `supportsFormat​(String mimeType)` | Returns whether the underlying library supports the specified MIME type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setLibraries

          public static void setLibraries​(String... libraries)

      Override the names of the FFmpeg native libraries. If an application wishes to call this method, it must do so before calling any other method defined by this class, and before instantiating a `FfmpegAudioRenderer` instance.
      Parameters:
        `libraries` - The names of the FFmpeg native libraries.

    - #### isAvailable

          public static boolean isAvailable()

      Returns whether the underlying library is available, loading it if necessary.

    - #### getVersion

          @Nullable
          public static String getVersion()

      Returns the version of the underlying library if available, or null otherwise.

    - #### getInputBufferPaddingSize

          public static int getInputBufferPaddingSize()

      Returns the required amount of padding for input buffers in bytes, or `C.LENGTH_UNSET` if the underlying library is not available.

    - #### supportsFormat

          public static boolean supportsFormat​(String mimeType)

      Returns whether the underlying library supports the specified MIME type.
      Parameters:
        `mimeType` - The MIME type to check.